Fireshot 0.98.89 add-on no longer compatible Topic is solved

Users and developers helping users with technical Pale Moon issues (Windows and other non-Linux O.S.). Please direct questions about the Linux version to the appropriate Linux board.

Moderators: trava90, satrow

Forum rules
This board is for technical/usage questions and troubleshooting for the Pale Moon browser only. The main focus here is on Pale Moon on Windows. Please direct your questions for Linux, Android and Mac to the dedicated boards.
Technical issues and questions not related to the Pale Moon browser should be posted in "technical chat"
Please keep off-topic and general discussion out of this board, thank you!
User avatar
MrD2018
Newbie
Newbie
Posts: 5
Joined: Tue, 03 Jul 2018, 15:32

Fireshot 0.98.89 add-on no longer compatible

Unread postby MrD2018 » Thu, 16 Aug 2018, 22:45

I have installed version 28.0.0 of Pale Moon today and I got a message that the add-on Fireshot 0.98.89 is now incompatible with Pale Moon. I think all the newer versions of Fireshot use Webextensions so I can't install them but I prefer this version anyway! Is there any way to solve this problem as I use this extension a lot and at the moment the only solution is to go back to the previous version of Pale Moon.

User avatar
billmcct
Lunatic
Lunatic
Posts: 427
Joined: Tue, 04 Sep 2012, 15:19
Location: Atlanta Georgia USA

Re: Fireshot 0.98.89 add-on no longer compatible  Topic is solved

Unread postby billmcct » Thu, 16 Aug 2018, 23:10

I'm using version FireShot 0.98.93 and it works fine.

Bill
Win 7 x64 - Pale Moon 28x x32

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 22305
Joined: Sun, 28 Aug 2011, 17:27
Location: 58.5°N 15.5°E
Contact:

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Moonchild » Fri, 17 Aug 2018, 05:44

My own version works just fine as well.
Attachments
Image1.jpg
Improving Mozilla code: You know you're on the right track with code changes when you spend the majority of your time deleting code.

"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne

Take note: 23 November is Wolfenoot! Eat roast meat and/or cake decorated like the full moon. #wolfenoot

Pepita
Hobby Astronomer
Hobby Astronomer
Posts: 17
Joined: Fri, 10 Nov 2017, 04:32

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Pepita » Fri, 17 Aug 2018, 09:26

Moonchild wrote:My own version works just fine as well.

I don't understand how you can do so, it installs, but it doesn' work fine, page graphics becomes erratic and impossible to be managed.
Thanks anyway :thumbup: .
Is it possible that at any update an addon dies? :thumbdown: Those like fireshot are really useful ones, and this will lead me to chrome.
Last edited by Pepita on Fri, 17 Aug 2018, 09:27, edited 1 time in total.

User avatar
Isengrim
Astronaut
Astronaut
Posts: 513
Joined: Tue, 08 Sep 2015, 22:54
Location: 127.0.0.1
Contact:

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Isengrim » Fri, 17 Aug 2018, 09:52

Try disabling other themes and extensions to see if one of them is fighting with Fireshot. Or try a new temporary profile with only Fireshot installed.
Linux Mint 18.3 Cinnamon (64-bit)
Windows 7 (64-bit) (Sometimes)
Windows 10 build 1803 (64-bit) (Sometimes)
We are our choices.

Pepita
Hobby Astronomer
Hobby Astronomer
Posts: 17
Joined: Fri, 10 Nov 2017, 04:32

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Pepita » Fri, 17 Aug 2018, 09:55

Problem solved...installed screenshoter extension, works fine and more or less like fireshot.
Next step, chrome :D
Last edited by Pepita on Fri, 17 Aug 2018, 09:56, edited 1 time in total.

User avatar
MrD2018
Newbie
Newbie
Posts: 5
Joined: Tue, 03 Jul 2018, 15:32

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby MrD2018 » Fri, 17 Aug 2018, 10:06

billmcct wrote:I'm using version FireShot 0.98.93 and it works fine.

Bill


I have installed version 0.98.93 and it appears to work fine so problem solved I think, thanks!
Last edited by MrD2018 on Fri, 17 Aug 2018, 12:27, edited 1 time in total.

User avatar
Isengrim
Astronaut
Astronaut
Posts: 513
Joined: Tue, 08 Sep 2015, 22:54
Location: 127.0.0.1
Contact:

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Isengrim » Fri, 17 Aug 2018, 10:38

Pepita wrote:Problem solved...installed screenshoter extension, works fine and more or less like fireshot.
Next step, chrome :D

Whatever works best for you, man. Just trying to help.
Linux Mint 18.3 Cinnamon (64-bit)
Windows 7 (64-bit) (Sometimes)
Windows 10 build 1803 (64-bit) (Sometimes)
We are our choices.

Pepita
Hobby Astronomer
Hobby Astronomer
Posts: 17
Joined: Fri, 10 Nov 2017, 04:32

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Pepita » Fri, 17 Aug 2018, 11:38

Isengrim wrote:
Pepita wrote:Problem solved...installed screenshoter extension, works fine and more or less like fireshot.
Next step, chrome :D

Whatever works best for you, man. Just trying to help.


Appreciated a lot Isengrim, hope to change in future......and a little bit envious cause you (and seems somebody else) are able to work with prevous fireshot version :D
Last edited by Pepita on Fri, 17 Aug 2018, 11:39, edited 1 time in total.

Pepita
Hobby Astronomer
Hobby Astronomer
Posts: 17
Joined: Fri, 10 Nov 2017, 04:32

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Pepita » Fri, 17 Aug 2018, 13:12

Pepita wrote:Problem solved...installed screenshoter extension, works fine and more or less like fireshot.
Next step, chrome :D


LOL once tested deeply.....screenshoter is a real delusion. Only 50% of fireshot options, above all no scrolling feature :cry:

Could somebody give me a link for FireShot 0.98.93, maybe my one is not good for a correct installation

User avatar
Isengrim
Astronaut
Astronaut
Posts: 513
Joined: Tue, 08 Sep 2015, 22:54
Location: 127.0.0.1
Contact:

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Isengrim » Fri, 17 Aug 2018, 13:17

Pepita wrote:Could somebody give me a link for FireShot 0.98.93, maybe my one is not good for a correct installation

You can still find it on AMO, under old versions for the current add-on.
Linux Mint 18.3 Cinnamon (64-bit)
Windows 7 (64-bit) (Sometimes)
Windows 10 build 1803 (64-bit) (Sometimes)
We are our choices.

Pepita
Hobby Astronomer
Hobby Astronomer
Posts: 17
Joined: Fri, 10 Nov 2017, 04:32

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Pepita » Fri, 17 Aug 2018, 14:09

Thanks a million man, unfortunately its the same I used to dl my one.... ;)
Now I have to understand why it doesn't work well: it installs well (even if at the end it says that trial time is expired (?)) but then it make the web page flickering during a scrolling selection; it starts to do so and it doesn't stop till you reload the page.... weird behavior indeed, you can't save anything.

Win7/64 here, and there?

User avatar
Isengrim
Astronaut
Astronaut
Posts: 513
Joined: Tue, 08 Sep 2015, 22:54
Location: 127.0.0.1
Contact:

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Isengrim » Fri, 17 Aug 2018, 14:43

Ahh, I see what you mean. I actually haven't used Fireshot before, so I installed it and tried it out. The options for full page capture and visible area capture seem to work as expected, but the capture selection option is pretty fubar'd. The selection box is all over the place, the scrolling is jerky, and after capture the page continues trying to scroll itself until refreshed. Currently I'm on Win 10 x64.

Unfortunately I don't have any answers here... since the extension contains proprietary-looking blobs and the source code isn't available, it is probably up to the author themselves to make it work. An enterprising developer might be able to fix it just by modifying the addon's javascript files, depending on what needs fixing, but licensing issues may prevent them from distributing the modified extension.

Sorry I can't help more. :(
Linux Mint 18.3 Cinnamon (64-bit)
Windows 7 (64-bit) (Sometimes)
Windows 10 build 1803 (64-bit) (Sometimes)
We are our choices.

User avatar
billmcct
Lunatic
Lunatic
Posts: 427
Joined: Tue, 04 Sep 2012, 15:19
Location: Atlanta Georgia USA

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby billmcct » Fri, 17 Aug 2018, 15:01

If I remember correctly I had to hack the install.rdf file from FireShot 0.98.93 and lower firefox minimum version from 31 to 27 to get it installed in PM 27x.
Win 7 x64 - Pale Moon 28x x32

User avatar
Isengrim
Astronaut
Astronaut
Posts: 513
Joined: Tue, 08 Sep 2015, 22:54
Location: 127.0.0.1
Contact:

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Isengrim » Fri, 17 Aug 2018, 15:03

billmcct wrote:If I remember correctly I had to hack the install.rdf file from FireShot 0.98.93 and lower firefox minimum version from 31 to 27 to get it installed in PM 27x.

0.98.93 installs fine, it's the "capture selection" function that seems to be misbehaving.
Linux Mint 18.3 Cinnamon (64-bit)
Windows 7 (64-bit) (Sometimes)
Windows 10 build 1803 (64-bit) (Sometimes)
We are our choices.

User avatar
billmcct
Lunatic
Lunatic
Posts: 427
Joined: Tue, 04 Sep 2012, 15:19
Location: Atlanta Georgia USA

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby billmcct » Fri, 17 Aug 2018, 15:13

Ah, you are correct saving a selection also doesn't work for me.
Win 7 x64 - Pale Moon 28x x32

Pepita
Hobby Astronomer
Hobby Astronomer
Posts: 17
Joined: Fri, 10 Nov 2017, 04:32

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Pepita » Fri, 17 Aug 2018, 15:23

Thanks you all. So, end of the game.
There's an old screengrab addon that works, not the same good features of fireshot.
On the contrary, fireshot works flawlessy inside Chrome.
You say that a good developer could solve the problem, I'm asking the same about Pale Moon, why this update caused Fireshot 0.98.89 fault? :?:

User avatar
billmcct
Lunatic
Lunatic
Posts: 427
Joined: Tue, 04 Sep 2012, 15:19
Location: Atlanta Georgia USA

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby billmcct » Fri, 17 Aug 2018, 15:59

Went looking for a replacement and found these that may have most of the functionality of fireshot.
I know the developer of fireshot wont spend time to make it work in PM 28x.

awesome screenshot plus 2.4.11
easy screenshot 0.1.5
lightshot screenshot tool 5.1.1
nimbus screen capture 6.7.5
screenshot pimp 8.0

Just search AMO and try them out https://addons.mozilla.org/en-US/firefox/

I don't have the time right now for testing any of these.

Bill
Win 7 x64 - Pale Moon 28x x32

Pepita
Hobby Astronomer
Hobby Astronomer
Posts: 17
Joined: Fri, 10 Nov 2017, 04:32

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby Pepita » Fri, 17 Aug 2018, 16:55

Great and appreciated effort Bill, thanks a lot :clap:

User avatar
billmcct
Lunatic
Lunatic
Posts: 427
Joined: Tue, 04 Sep 2012, 15:19
Location: Atlanta Georgia USA

Re: Fireshot 0.98.89 add-on no longer compatible

Unread postby billmcct » Fri, 17 Aug 2018, 17:32

The version numbers above are the last versions showing as compatible with firefox/PM. You will have to hit the links for show all versions.
Win 7 x64 - Pale Moon 28x x32


Return to “General support”

Who is online

Users browsing this forum: Dustie_Rose and 10 guests